Summary:	PowerAdmin - a web-based front-end for the PowerDNS
Summary(pl.UTF-8):	PowerAdmin - oparty na WWW interfejs dla PowerDNS-a
Name:		poweradmin
Version:	2.1.5
Release:	3
License:	GPL
Group:		Applications/Databases/Interfaces
Source0:	https://www.poweradmin.org/download/%{name}-%{version}.tgz
# Source0-md5:	baa773f9a95f7dc2d3ae941372238f83
URL:		http://www.poweradmin.org/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	php(dbase)
Requires:	php(gettext)
Requires:	php(mysql)
Requires:	php(zlib)
Requires:	php-pear-MDB2
Requires:	webapps
Requires:	webserver(indexfile)
Requires:	webserver(php)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
PowerAdmin is a web-based front-end for the PowerDNS
(http://www.powerdns.com/) DNS server.

%description -l pl.UTF-8
PowerAdmin to oparty na WWW interfejs dla serwera DNS PowerDNS
(http://www.powerdns.com/).

%prep
%setup -q

cat > apache.conf <<'EOF'
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

cat > lighttpd.conf <<'EOF'
alias.url += (
    "/%{name}" => "%{_appdir}",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/{images,inc,docs,style,locale,install}}

install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

mv inc/config-me.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
install *.php 		$RPM_BUILD_ROOT%{_appdir}
install docs/*.sql docs/*.pot		$RPM_BUILD_ROOT%{_appdir}/docs
install images/*.*	$RPM_BUILD_ROOT%{_appdir}/images
install style/*.*	$RPM_BUILD_ROOT%{_appdir}/style
install inc/*.*		$RPM_BUILD_ROOT%{_appdir}/inc
cp -a locale		$RPM_BUILD_ROOT%{_appdir}/locale
install install/*.*	$RPM_BUILD_ROOT%{_appdir}/install
ln -s %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/inc/config.inc.php

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%banner %{name} -e <<'EOF'

To finish your setup point your browser to http://yourserver/poweradmin/install/ .

EOF

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc docs/{CHANGELOG,LICENSE,README}
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%{_appdir}
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> dff4963
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fec707
- release 2

* Thu Feb 24 2011 ciesiel <ciesiel@pld-linux.org> 45cecf9
- up to 2.1.5

* Wed Jan 27 2010 kosmo <kosmo@pld-linux.org> a4e316f
- updated to 2.1.4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a576a96
- drop obsolete files

* Thu Jun 04 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> e0123df
- updated to 2.1.3

* Wed Nov 12 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> a3714f0
- updated to 2.1.2 [security fix]

* Wed Aug 20 2008 Jakub Bogusz <qboosh@pld-linux.org> e7ebc3e
- outdated (I assume)

* Wed Aug 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 1263a93
- nl cleanup

* Wed Aug 20 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2c229b3
- updated to 2.1.1 (1.2.7 version on POWERADMIN_1_2_7)

* Tue Jul 10 2007 luzik <luzik@pld-linux.org> f5a4d19
- works fine
- rel 1

* Fri Jun 08 2007 Elan Ruusamäe <glen@pld-linux.org> d23bb69
- unified, adapterized

* Fri Jun 08 2007 luzik <luzik@pld-linux.org> a148cb9
- doubled command

* Fri Jun 08 2007 luzik <luzik@pld-linux.org> b0259a4
this patch allow to run poweradmin with php5 and add missing table creation

* Fri Jun 08 2007 luzik <luzik@pld-linux.org> 7199184
- switched to webapps
- updated to 1.2.7-patched

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8a5f38f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b42e5c8
- converted to UTF-8

* Mon Nov 27 2006 Elan Ruusamäe <glen@pld-linux.org> f78b78d
- php virtual extension deps

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 88209c6
- adapterized (sorted %verify flags)

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> f30ac52
- use virtual webserver provide

